List all site integration installations
Returns a paginated list of the sites an installation is enabled on, with the configuration of the integration for each of them. Pass extended to get the full site object instead of its ID.
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
integrationNamestring · max: 100RequiredPattern:
Name of the integration.
^[a-zA-Z0-9-_.]+$installationIdstringRequired
Identifier of the installation
Query parameters
pagestringOptional
Identifier of the page results to fetch.
limitnumber · max: 1000Optional
The number of results per page
extendedbooleanOptionalDefault:
If true, returns the site object in each items. If false, returns the site ID in each items.
falseResponses
200
OK
application/json
countnumberOptional
Total count of objects in the list
get/integrations/{integrationName}/installations/{installationId}/sites
GET /v1/integrations/{integrationName}/installations/{installationId}/sites HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
{
"next": {
"page": "text"
},
"count": 1,
"items": [
{
"integration": "text",
"installation": "text",
"status": "active",
"configuration": {},
"externalIds": [
"text"
],
"urls": {
"location": "https://example.com",
"publicEndpoint": "https://example.com",
"publicContentEndpoint": "https://example.com"
},
"site": "text"
}
]
}Last updated
Was this helpful?